/* ----------------------------------
    STYLING WH TYPING TEXT
------------------------------------*/
.wh-typing-text-wrapper {
    --height-icon-line: 42px;
    --max-width-typing: 300px;
    position: relative;
    z-index: 2;
    background: var(--transparent);
    padding-bottom: var(--height-icon-line);
    max-width: var(--max-width-typing);
}

.wh-typing-text-wrapper .wh-text--wrapper,
.wh-typing-text-wrapper .line-arrow-typing,
.wh-typing-text-wrapper .content-text {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
}

.wh-typing-text-wrapper .content-text {
    display: inline;
    font-size: var(--text-sm);
}

.wh-typing-text-wrapper.with-icon-quotes .text,
.wh-typing-text-wrapper .typed-cursor {
    position: relative;
}

.wh-typing-text-wrapper.with-icon-quotes .text {
    padding: 0 6px;
    padding-right: 0;
}

.wh-typing-text-wrapper .text,
.wh-typing-text-wrapper.with-icon-quotes .text:before,
.wh-typing-text-wrapper.with-icon-quotes .typed-cursor:after {
    font-family: var(--fontfamily-prata);
}

.wh-typing-text-wrapper.with-icon-quotes .text:before,
.wh-typing-text-wrapper.with-icon-quotes .typed-cursor:after {
    position: absolute;
    top: 0;
}

.wh-typing-text-wrapper.with-icon-quotes .text:before {
    content: '“';
    left: 0;
}

.wh-typing-text-wrapper.with-icon-quotes .typed-cursor:after {
    content: '”';
    right: 0;
}

.wh-typing-text-wrapper .typed-cursor {
    padding-right: 6px;
}

.wh-typing-text-wrapper .line-arrow-typing img {
    width: auto;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
}

.wh-typing-text-wrapper .line-arrow-typing {
     --icon-left-position: 0;
    position: absolute;
    display: inline-block;
    left: var(--icon-left-position);
    bottom: 0;
}

/* icon icon-line-right */
.wh-typing-text-wrapper.icon-line-right .line-arrow-typing {
    --icon-right-position: 0;
    left: unset;
    right: var(--icon-right-position);
}

/* ----------------------------------
    STYLING WH TYPING TEXT CUSTOM
------------------------------------*/
/* custom-typing-related-blog */
.wh-typing-text-wrapper.custom-typing-related-blog {
    --height-icon-line: 50px;
    --max-width-typing: 200px;
    margin-bottom: -35px;
}

.wh-typing-text-wrapper.custom-typing-related-blog .line-arrow-typing {
     --icon-right-position: 30px;
}

/* .wh-typing-text-wrapper.custom-typing-404 */
.wh-typing-text-wrapper.custom-typing-404 {
    --max-width-typing: 212px;
    --height-icon-line: 28px;
    margin-bottom: -64px;
    margin-left: 18%;
}

/* .wh-typing-text-wrapper.custom-typing-contact */
.wh-typing-text-wrapper.custom-typing-contact {
    --max-width-typing: 280px;
    --height-icon-line: 28px;
    margin-bottom: -64px;
    margin-left: 8%;
}

/* .wh-typing-text-wrapper.custom-typing-over-ons */
.wh-typing-text-wrapper.custom-typing-over-ons {
    --height-icon-line: 32px;
    margin-left: auto;
}

.wh-typing-text-wrapper.custom-typing-contact .line-arrow-typing {
    --icon-right-position: 15px;
}

/* .wh-typing-text-wrapper.custom-typing-diensten */
.wh-typing-text-wrapper.custom-typing-diensten {
    position: absolute;
    --height-icon-line: 55px;
    width: var(--max-width-typing);
}

.wh-typing-text-wrapper.custom-typing-diensten .line-arrow-typing {
     --icon-right-position: 45px;   
}

/* ------------------------------------
        STYLING RESPONSIVE
--------------------------------------- */
@media all and (min-width: 601px) {

    /* .wh-typing-text-wrapper.custom-typing-homepage */
    .wh-typing-text-wrapper.custom-typing-homepage {
        --height-icon-line: 27px;
        position: absolute;
        top: 1px;
    }

    .wh-typing-text-wrapper.custom-typing-homepage .line-arrow-typing {
        --icon-left-position: -10px;
    }

     /* .wh-typing-text-wrapper.custom-typing-contact */
    .wh-typing-text-wrapper.custom-typing-contact {
        --max-width-typing: 280px;
    }

    /* custom-typing-related-blog */
    .wh-typing-text-wrapper.custom-typing-related-blog {
        margin-left: 24%;
    }
}


@media all and (min-width: 901px) {
    /* .wh-typing-text-wrapper.custom-typing-homepage */
    .wh-typing-text-wrapper.custom-typing-homepage {
        left: -webkit-calc(100% - 110px);
        left: -moz-calc(100% - 110px);
        left: calc(100% - 110px);
        right: -100px;
    }

    .wh-typing-text-wrapper.custom-typing-homepage {
        max-width: 130px;
    }

    /* .wh-typing-text-wrapper.custom-typing-diensten */
    .wh-typing-text-wrapper.custom-typing-diensten {
        --max-width-typing: 328px;
        top: 25px;
        left: -35px;
    }
}

@media all and (min-width: 1200px) and (max-width: 1599px) {
    .wh-typing-text-wrapper.custom-typing-over-ons {
        --max-width-typing: 224px;
    }
}

@media all and (min-width: 1200px) {
    /* .wh-typing-text-wrapper.custom-typing-over-ons */
    .wh-typing-text-wrapper.custom-typing-over-ons {
        margin-bottom: -24%;
    }

}

@media all and (min-width: 1600px) {
    /* .wh-typing-text-wrapper.custom-typing-contact */
    .wh-typing-text-wrapper.custom-typing-contact {
        margin-bottom: -64px;
    }
}


@media all and (min-width: 901px) and (max-width: 1599px) {
    /* .wh-typing-text-wrapper.custom-typing-contact */
    .wh-typing-text-wrapper.custom-typing-contact {
        --max-width-typing: 200px;
        margin-bottom: 0px;
        margin-left: -2%;
    }
}


@media all and (min-width: 901px) and (max-width: 1199px) {
    /* .wh-typing-text-wrapper.custom-typing-homepage */
    .wh-typing-text-wrapper.custom-typing-homepage {
        --max-width-typing: 120px;
    }

    /* .wh-typing-text-wrapper.custom-typing-diensten */
    .wh-typing-text-wrapper.custom-typing-diensten {
        --max-width-typing: 265px;
    }
    
    /* .wh-typing-text-wrapper.custom-typing-over-ons */
    .wh-typing-text-wrapper.custom-typing-over-ons {
        margin-bottom: 0px;
    }

    .wh-typing-text-wrapper.custom-typing-related-blog {
        margin-bottom: 0px;
        margin-left: 3%;
    }

}

@media all and (min-width: 601px) and (max-width: 900px) {
    /* .wh-typing-text-wrapper.custom-typing-homepage */
    .wh-typing-text-wrapper.custom-typing-homepage {
        left: -webkit-calc(100% - 40px);
        left: -moz-calc(100% - 40px);
        left: calc(100% - 40px);
        right: -160px;
    }

    /* .wh-typing-text-wrapper.custom-typing-diensten */
    .wh-typing-text-wrapper.custom-typing-diensten {
        --max-width-typing: 240px;
        top: 60px;
        left: -30px;
    }

    /* .wh-typing-text-wrapper.custom-typing-over-ons */
    .wh-typing-text-wrapper.custom-typing-over-ons {
        margin-bottom: -24%;
    }

    /* .wh-typing-text-wrapper.custom-typing-contact */
    .wh-typing-text-wrapper.custom-typing-contact {
        margin-bottom: -64px;
    }
}


@media all and (max-width: 600px) {
    .wh-typing-text-wrapper .content-text {
        --text-sm: 12px;
    }

    /* typing in page contact */
    .wh-typing-text-wrapper.custom-typing-contact {
        --max-width-typing: 150px;
        margin-bottom: -25px;
    }

    /* .wh-typing-text-wrapper.custom-typing-diensten */
    .wh-typing-text-wrapper.custom-typing-diensten {
        --max-width-typing: 70%;
        top: 75px;
        left: -135px;
    }

    /* .wh-typing-text-wrapper.custom-typing-over-ons */
    .wh-typing-text-wrapper.custom-typing-over-ons {
        margin-bottom: -20px;
    }

    .wh-typing-text-wrapper.custom-typing-over-ons .line-arrow-typing {
        --icon-left-position: 160px;
    }

    .wh-typing-text-wrapper.custom-typing-404 {
        --max-width-typing: 170px;
        margin-left: 0;
    }

    /* typing related blog */
    .wh-typing-text-wrapper.custom-typing-related-blog {
        margin-left: -16px;
    }

}
